package cn.com.poc.thirdparty.resource.demand.pay.entity;


import cn.com.poc.thirdparty.resource.demand.pay.model.BizOrderDetailModel;

import java.util.Date;

public class OrderDetailEntity extends BizOrderDetailModel {

    /**
     * order_sn
     * 订单编号
     */
    private String orderSn;

    public String getOrderSn() {
        return this.orderSn;
    }

    public void setOrderSn(String orderSn) {
        this.orderSn = orderSn;
    }


    /**
     * order_type
     * 订单类型
     */
    private String orderType;

    public String getOrderType() {
        return this.orderType;
    }

    public void setOrderType(String orderType) {
        this.orderType = orderType;
    }


    /**
     * member_id
     * 会员id
     */
    private Integer memberId;

    public Integer getMemberId() {
        return this.memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }


    /**
     * total_amount
     * 订单金额(分)
     */
    private Integer totalAmount;

    public Integer getTotalAmount() {
        return this.totalAmount;
    }

    public void setTotalAmount(Integer totalAmount) {
        this.totalAmount = totalAmount;
    }


    /**
     * paid_amount
     * 已付金额(分)
     */
    private Integer paidAmount;

    public Integer getPaidAmount() {
        return this.paidAmount;
    }

    public void setPaidAmount(Integer paidAmount) {
        this.paidAmount = paidAmount;
    }


    /**
     * need_pay_amount
     * 订单待付金额(分)
     */
    private Integer needPayAmount;

    public Integer getNeedPayAmount() {
        return this.needPayAmount;
    }

    public void setNeedPayAmount(Integer needPayAmount) {
        this.needPayAmount = needPayAmount;
    }


    /**
     * currency
     * 币种
     */
    private String currency;

    public String getCurrency() {
        return this.currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }


    /**
     * order_status
     * 订单状态:
     * Create-创建;
     * Processing-进行中;
     * Completed-完成;
     * Cancel-取消;
     */
    private String orderStatus;

    public String getOrderStatus() {
        return this.orderStatus;
    }

    public void setOrderStatus(String orderStatus) {
        this.orderStatus = orderStatus;
    }


    /**
     * pay_status
     * 支付状态:
     * NoPayment-待支付;
     * Refunding-退款中;
     * Paid-已付款;
     * Cancel-已取消;
     */
    private String payStatus;

    public String getPayStatus() {
        return this.payStatus;
    }

    public void setPayStatus(String payStatus) {
        this.payStatus = payStatus;
    }


    /**
     * pay_time
     * 付款时间
     */
    private Date payTime;

    public Date getPayTime() {
        return this.payTime;
    }

    public void setPayTime(Date payTime) {
        this.payTime = payTime;
    }


    /**
     * cancel_time
     * 订单取消时间
     */
    private Date cancelTime;

    public Date getCancelTime() {
        return this.cancelTime;
    }

    public void setCancelTime(Date cancelTime) {
        this.cancelTime = cancelTime;
    }

    /**
     *
     */
    private String merchantName;

    /**
     *
     */
    private String nickName;

    /**
     *
     */
    private String mobilePhone;

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }



    /**
     * 创建时间开始时间
     */
    private Date queryBeginTime;

    /**
     * 创建时间结束时间
     */
    private Date queryEndTime;

    public Date getQueryBeginTime() {
        return queryBeginTime;
    }

    public void setQueryBeginTime(Date queryBeginTime) {
        this.queryBeginTime = queryBeginTime;
    }

    public Date getQueryEndTime() {
        return queryEndTime;
    }

    public void setQueryEndTime(Date queryEndTime) {
        this.queryEndTime = queryEndTime;
    }
}
